package com.lecom.workflow.cadastros.grafico.controller;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.com.lecom.atos.utils.view.ControllerServlet;


@WebServlet("/app/graficoController")
public class GraficoExternoController extends ControllerServlet{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	public void index(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		//produto_avaliacao_mes
		String data = 
				 "<graph showValues=\"1\" showLegend=\"1\" legendPosition=\"RIGHT\" caption=\"Processos por Modelo/Mes\" numberPrefix=\"\" "+
						 " formatNumberScale=\"0\" decimalPrecision=\"2\" bgColor=\"F7F7F7\" canvaspadding=\"12\" decimalSeparator=\",\" thousandSeparator=\".\" "+
						 " labelDisplay=\"Rotate\" slantLabels=\"1\" showBorder=\"0\" SYAxisMaxValue=\"200\" PYAxisMaxValue=\"200\"> "+
				 " <categories> "+
				 "	<category label=\"Agosto\" /> "+
				 "	<category label=\"Setembro\" /> "+
				 " </categories> "+

					 "<dataset seriesname='PSP - Lecom BPM' color='7B68EE'> "+
					 "	<set name='Agosto' value='34' /> "+
					 "	<set name='Setembro' value='50' /> "+
					 " </dataset> "+

					 " <dataset seriesname='otimo' showValues='0' parentYAxis='S' color='FF66CC'> "+
					 "	<set name='PET - Lecom BPM Erro ou Melhoria' ref='PET - Lecom BPM Erro ou Melhoria' value='40' /> "+
					 "	<set name='PET - Lecom BPM Erro ou Melhoria' ref='PET - Lecom BPM Erro ou Melhoria' value='15' /> "+		
					 " </dataset> "+
					
					 " <dataset seriesname='bom' showValues='0' parentYAxis='S' color='FF66GG'> "+
					 "	<set name='PSP - Lecom BPM' ref='PSP - Lecom BPM' value='30' /> "+
					 "	<set name='PSP - Lecom BPM' ref='PSP - Lecom BPM' value='25' /> "+		
					 " </dataset> "+
				 " </graph>";
				 
				 //imagem 2 (produtos_avaliacoes_mes)
		String data2 = 
				 "<graph showValues=\"1\" showLegend=\"1\" legendPosition=\"RIGHT\" caption=\"Processos por Modelo/Mes\" numberPrefix=\"\" "+
						 " formatNumberScale=\"0\" decimalPrecision=\"2\" bgColor=\"F7F7F7\" canvaspadding=\"12\" decimalSeparator=\",\" thousandSeparator=\".\" "+
						 " labelDisplay=\"Rotate\" slantLabels=\"1\" showBorder=\"0\" SYAxisMaxValue=\"200\" PYAxisMaxValue=\"200\"> "+
				 " <categories> "+
				 "	<category label=\"Agosto\" /> "+
				 "	<category label=\"Setembro\" /> "+
				 " </categories> "+

					 "<dataset seriesname='PSP - Lecom BPM' color='7B68EE'> "+
					 "	<set name='Agosto' value='60' /> "+
					 "	<set name='Setembro' value='70' /> "+
					 " </dataset> "+
					 
					  " <dataset seriesname='otimo - Psp' color='00008B'> "+
					 "	<set  value='30' /> "+
					 "	<set  value='35' /> "+		
					 " </dataset> "+
					  " <dataset seriesname='bom - psp'   color='FF1493'> "+
					 "	<set name='PSP - Lecom BPM' ref='PSP - Lecom BPM' value='20' /> "+
					 "	<set name='PSP - Lecom BPM' ref='PSP - Lecom BPM' value='20' /> "+		
					 " </dataset> "+
					 
					  "<dataset seriesname='PET- Lecom BPM' color='008B8B'> "+
					 "	<set name='Agosto' value='80' /> "+
					 "	<set name='Setembro' value='90' /> "+
					 " </dataset> "+
					" <dataset seriesname='otimo - pet'  color='A52A2A'> "+
					 "	<set  value='40' /> "+
					 "	<set  value='20' /> "+		
					 " </dataset> "+
					 " <dataset seriesname='bom - pet' color='FFA500'> "+
					 "	<set name='PSP - Lecom BPM' ref='PSP - Lecom BPM' value='20' /> "+
					 "	<set name='PSP - Lecom BPM' ref='PSP - Lecom BPM' value='40' /> "+		
					 " </dataset> "+
				 " </graph>";

		
		request.setAttribute("xmlGerado", data);
		dispatcher("/upload/cadastros/grafico/jsp/graficoExterno.jsp", request, response);
	}
	
}
